Subject: Re: CCL:ADT error .. need help

From: David Smith <[email-masked]>
Date: Mon, 05 Nov 2001 17:36:34 -0500

ADT runs a csh and not on bash which does linux.
Here is the initPython in bash:

# !/bin/bash -f
#

export ROOT="$(pwd)"
export PATH="$ROOT/i86Linux2/bin:$PATH"

export PYTHONHOME="$ROOT/share:$ROOT/i86Linux2"

export TCL_LIBRARY="$ROOT/tcl8.3"
export TK_LIBRARY="$ROOT/tk8.3"
export TCLLIBPATH="$ROOT/i86Linux2/extralibs"

shlibdirs="$ROOT/i86Linux2/lib:$ROOT/i86Linux2/extralibs"
if test -z "$LD_LIBRARY_PATH"
then
    export LD_LIBRARY_PATH="$shlibdirs"
else
    export LD_LIBRARY_PATH="$shlibdirs:$LD_LIBRARY_PATH"
fi

Save it in ./initPythonbash where the initPython is , source it and then
try to run python2.0.
If it works put those lines in your .cshrc,

Let me know if it worked for you.

David Smith

a3arzi wrote:
> 
> Hello,
> 
> I installed ADT undr linux (Suse 7.0, kernel 2.4.x). My python runs
> (/usr/bin/env python). I have corrected 'adt' executable first line:
> #!/usr/bin/env python1.5.2 -> #!/usr/bin/env python in oder it could
> run at all. My ADT package was decompressed as follos :
> /home/'my dir'/share/lib/python1.5/site-packages/AutoDockTools
> /home/'my dir'/i86linux2/....
> 
> Made alias to 'adt' as well. But when I run in bash prompt 'adt' I get the
> following error:
> 
> > '...my path to adt...' line 40, in ?
>   import AutoDockTools
> ImportError: No modules named AutoDockTools
> hit any ....
> 
> What is wrong ?
> 
> I got another directory i86linux2. What is the relation
> with 'adt' ?
> 
> -= This is automatically added to each message by mailing script =-
> [email-masked] -- To Everybody  | [email-masked] -- To Admins
> [email-masked] -- HELP CHEMISTRY or HELP SEARCH
> [email-masked] -- archive search    |    Gopher: gopher.ccl.net 70
> Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan: [email-masked]